# LS7-Emulator

Emulator for the LS7 Computer written in C and SDL

## ToDo

This is very much ~in progress~

- Adjust cpu.c for 65c02 Instructions
- video.c accent color support
- CPU snapshot load/save
- Emulate VIA
- Build-in memory monitor - like wozmon
- Optimize video.c

## Usage

Start the Program with `ls7emulator [OPTIONS] ... [FILE]`.
A file has to be specified and **must** be exactly 16k in size.
Preferably a 65c02 program.

## Options

Command-line options can be revealed by passing `--help` when starting the program.

## Hotkeys

I'm still changing stuff, so this is probably bound to change.

- F1  ->  Exit emulator
- F2  ->  Show hotkey help
- F3  ->  Show debug menu
- F4  ->  Halt CPU
- F5  ->  Reset CPU
- F6  ->  
- F7  ->
- F8  ->  Single step CPU (if in singlestep mode)
- F9  ->  Save computer snapshot
- F10 ->  Show computer memory map
- F11 ->  Send CPU NMI
- F12 ->  Send CPU IRQ

## Building

The Program is so small, that I won't distribute a binary package.
The `Makefile` provides the build utilities. Simply build it in a Unix based terminal with
`make` and to install it in /usr/bin `make install` as root

## Build dependencies

- gcc
- sdl2
